This is the old version of WordPreciousss, created for WordPress 2.6.x. Please visit for future releases


WordPreciousss a WordPress plugin which is designed to extend WordPress’ theme functions and make it easier to create, maintain, hack/ modify and upgrade themes on WordPress and WordPressMU.

The plugin gives you several levels of creating and customizing themes.

The plugin comes with a global set of template files that will create a theme framework on your site; the global template set applies to all themes on your site. The plugin also comes with a modified version of the Skinner plugin which allows you to create skins for your themes.

The global template set will make it easier for you to create a brand new theme, as you will not have to create theme template files to make it work properly, and all you need to care about is the styling.

You can also create your own global template sets by adding the template files you like to work with in the /templates/myown/ directory.

But all global templates can be overridden in a theme, child theme or in a skin. This way you don’t have to edit any template files to customize themes; you simply just copy the file you want to edit to a child theme or skin.

This way you don’t need to worry about upgrading a theme either.

Note: If you don’t need or want global template set on your site, you should download the plugin-only package.


WordPress 2.5.x+ or WPMU 1.5.1+


CC-GNU GPL Like all other themes and plugins I make, WordPreciousss is licensed under the CC-GNU GPL.


I could say that you are looking at a demo, but as WordPreciousss is not really something you can see, but a rather something that lies in the background powering your themes, a real demo is hard to give.

News archive

If you are looking for WordPreciousss’ old news blog, you’ll find it here: WordPreciousss archives

Earlier versions

For earlier versions see the release archive.

Norsk info

Du finner norsk info om WordPreciousss og ikke minst norskspråklige nedlastninger på Rablebloggen